package Locales::DB::Language::ka;

use strict;
use warnings;

# Auto generated from CLDR

$Locales::DB::Language::ka::VERSION = '0.09';

$Locales::DB::Language::ka::cldr_version = '2.0';

%Locales::DB::Language::ka::misc_info = (
    'characters'   => { 'more_information' => "\?" },
    'cldr_formats' => {
        '_decimal_format_decimal' => "\,",
        '_decimal_format_group'   => "\.",
        '_percent_format_percent' => "\%",
        'decimal'                 => "\#\,\#\#0\.\#\#\#",
        'ellipsis'                => {
            'final'   => "\{0\}…",
            'initial' => "…\{0\}",
            'medial'  => "\{0\}…\{1\}"
        },
        'language' => "Language\:\ \{0\}",
        'list'     => {
            2        => "\{0\}\ და\ \{1\}",
            'end'    => "\{0\}\ და\ \{1\}",
            'middle' => "\{0\}\,\ \{1\}",
            'start'  => "\{0\}\,\ \{1\}"
        },
        'locale'    => "\{0\}\ \(\{1\}\)",
        'percent'   => "\#\,\#\#0 \%",
        'territory' => "Region\:\ \{0\}"
    },
    'delimiters' => {
        'alternate_quotation_end'   => '’',
        'alternate_quotation_start' => '‘',
        'quotation_end'             => '”',
        'quotation_start'           => '“'
    },
    'fallback'    => [],
    'orientation' => {
        'characters' => "left\-to\-right",
        'lines'      => "top\-to\-bottom"
    },
    'plural_forms' => {
        'category_list'  => ['other'],
        'category_rules' => {}
    },
    'posix' => {
        'nostr' => {
            'content' => 'არა',
            'draft'   => 'contributed'
        },
        'yesstr' => {
            'content' => 'დიახ',
            'draft'   => 'contributed'
        }
    },
);

%Locales::DB::Language::ka::code_to_name = (
    'aa'     => 'Afar',
    'ab'     => 'აფხაზური',
    'ace'    => 'Achinese',
    'ach'    => 'Acoli',
    'ada'    => 'Adangme',
    'ady'    => 'ადიღეური',
    'ae'     => 'ავესტა',
    'af'     => 'აფრიკული',
    'afa'    => "Afro\-Asiatic\ Language",
    'afh'    => 'Afrihili',
    'agq'    => 'Aghem',
    'ain'    => 'აინუ',
    'ak'     => 'Akan',
    'akk'    => 'Akkadian',
    'ale'    => 'ალეუტური',
    'alg'    => "Algonquian\ Language",
    'alt'    => "Southern\ Altai",
    'am'     => 'Amharic',
    'an'     => 'Aragonese',
    'ang'    => "ძველი\ ინგლისური",
    'anp'    => 'Angika',
    'apa'    => "Apache\ Language",
    'ar'     => 'არაბული',
    'arc'    => 'არამეული',
    'arn'    => 'Araucanian',
    'arp'    => 'Arapaho',
    'art'    => "ხელოვნური\ სხვა",
    'arw'    => 'Arawak',
    'as'     => 'ასამური',
    'asa'    => 'Asu',
    'ast'    => 'ავსტრიული',
    'ath'    => "Athapascan\ Language",
    'aus'    => "Australian\ Language",
    'av'     => 'Avaric',
    'awa'    => 'Awadhi',
    'ay'     => 'Aymara',
    'az'     => 'აზერბაიჯანული',
    'ba'     => 'Bashkir',
    'bad'    => 'Banda',
    'bai'    => "Bamileke\ Language",
    'bal'    => 'Baluchi',
    'ban'    => 'Balinese',
    'bas'    => 'Basaa',
    'bat'    => "Baltic\ Language",
    'be'     => 'ბელორუსული',
    'bej'    => 'Beja',
    'bem'    => 'Bemba',
    'ber'    => 'Berber',
    'bez'    => 'Bena',
    'bg'     => 'ბულგარული',
    'bh'     => 'ბიჰარი',
    'bho'    => 'Bhojpuri',
    'bi'     => 'Bislama',
    'bik'    => 'Bikol',
    'bin'    => 'Bini',
    'bla'    => 'Siksika',
    'bm'     => 'Bambara',
    'bn'     => 'Bengali',
    'bnt'    => 'Bantu',
    'bo'     => 'ტიბეტური',
    'br'     => 'ბრეტონული',
    'bra'    => 'Braj',
    'brx'    => 'Bodo',
    'bs'     => 'ბოსნიური',
    'btk'    => 'Batak',
    'bua'    => 'ბურიატული',
    'bug'    => 'Buginese',
    'byn'    => 'Blin',
    'ca'     => 'კატალანური',
    'cad'    => 'Caddo',
    'cai'    => "Central\ American\ Indian\ Language",
    'car'    => 'Carib',
    'cau'    => "კავკასიური\ სხვა",
    'cay'    => 'Cayuga',
    'cch'    => 'Atsam',
    'ce'     => 'ჩეჩნური',
    'ceb'    => 'Cebuano',
    'cel'    => "კელტური\ სხვა",
    'cgg'    => 'Chiga',
    'ch'     => 'Chamorro',
    'chb'    => 'Chibcha',
    'chg'    => 'Chagatai',
    'chk'    => 'Chuukese',
    'chm'    => 'Mari',
    'chn'    => "Chinook\ Jargon",
    'cho'    => 'Choctaw',
    'chp'    => 'Chipewyan',
    'chr'    => 'Cherokee',
    'chy'    => 'Cheyenne',
    'cmc'    => "Chamic\ Language",
    'co'     => 'Corsican',
    'cop'    => 'Coptic',
    'cpe'    => "English\-based\ Creole\ or\ Pidgin",
    'cpf'    => "French\-based\ Creole\ or\ Pidgin",
    'cpp'    => "Portuguese\-based\ Creole\ or\ Pidgin",
    'cr'     => 'Cree',
    'crh'    => "Crimean\ Turkish",
    'crp'    => "Creole\ or\ Pidgin",
    'cs'     => 'ჩეხური',
    'csb'    => 'Kashubian',
    'cu'     => "საეკლესიო\ სლავური",
    'cus'    => "Cushitic\ Language",
    'cv'     => 'Chuvash',
    'cy'     => 'უელსური',
    'da'     => 'დანიური',
    'dak'    => 'Dakota',
    'dar'    => 'Dargwa',
    'dav'    => 'Taita',
    'day'    => 'Dayak',
    'de'     => 'გერმანული',
    'de_at'  => "ავსტრიული\ გერმანული",
    'de_ch'  => "შვეიცარიული\ მაღალი\ გერმანული",
    'del'    => 'Delaware',
    'den'    => 'Slave',
    'dgr'    => 'Dogrib',
    'din'    => 'Dinka',
    'dje'    => 'Zarma',
    'doi'    => 'Dogri',
    'dra'    => "Dravidian\ Language",
    'dsb'    => "Lower\ Sorbian",
    'dua'    => 'Duala',
    'dum'    => "Middle\ Dutch",
    'dv'     => 'Divehi',
    'dyo'    => "Jola\-Fonyi",
    'dyu'    => 'Dyula',
    'dz'     => 'Dzongkha',
    'ebu'    => 'Embu',
    'ee'     => 'Ewe',
    'efi'    => 'Efik',
    'egy'    => 'ეგვიპტური',
    'eka'    => 'Ekajuk',
    'el'     => 'ბერძნული',
    'elx'    => 'Elamite',
    'en'     => 'ინგლისური',
    'en_au'  => "ავსტრალიური\ ინგლისური",
    'en_ca'  => "კანადური\ ინგლისური",
    'en_gb'  => "ბრიტანული\ ინგლისური",
    'en_us'  => "ამერიკული\ ინგლისური",
    'enm'    => "Middle\ English",
    'eo'     => 'ესპერანტო',
    'es'     => 'ესპანური',
    'es_419' => "ლათინურ\ ამერიკული\ ესპანური",
    'es_es'  => "იბერიული\ ესპანური",
    'et'     => 'ესტონური',
    'eu'     => 'ბასკური',
    'ewo'    => 'Ewondo',
    'fa'     => 'სპარსული',
    'fan'    => 'Fang',
    'fat'    => 'Fanti',
    'ff'     => 'Fulah',
    'fi'     => 'ფინური',
    'fil'    => 'ფილიპინური',
    'fiu'    => "Finno\-Ugrian\ Language",
    'fj'     => 'Fijian',
    'fo'     => 'Faroese',
    'fon'    => 'Fon',
    'fr'     => 'ფრანგული',
    'fr_ca'  => "კანადური\ ფრანგული",
    'fr_ch'  => "შვეიცარიული\ ფრანგული",
    'frm'    => "Middle\ French",
    'fro'    => "ძველი\ ფრანგული",
    'frr'    => "Northern\ Frisian",
    'frs'    => "Eastern\ Frisian",
    'fur'    => 'Friulian',
    'fy'     => "Western\ Frisian",
    'ga'     => 'ირლანდიური',
    'gaa'    => 'Ga',
    'gay'    => 'Gayo',
    'gba'    => 'Gbaya',
    'gd'     => "შოტლანდიურ\-გალური",
    'gem'    => "Germanic\ Language",
    'gez'    => 'Geez',
    'gil'    => 'Gilbertese',
    'gl'     => 'გალური',
    'gmh'    => "Middle\ High\ German",
    'gn'     => 'გუარანი',
    'goh'    => "ძველი\ გერმანული",
    'gon'    => 'Gondi',
    'gor'    => 'Gorontalo',
    'got'    => 'Gothic',
    'grb'    => 'Grebo',
    'grc'    => "ძველი\ ბერძნული",
    'gsw'    => "შვეიცარიული\ გერმანული",
    'gu'     => 'გუჯარათი',
    'guz'    => 'Gusii',
    'gv'     => 'Manx',
    'gwi'    => "Gwich\Ê\¼in",
    'ha'     => 'Hausa',
    'hai'    => 'Haida',
    'haw'    => 'Hawaiian',
    'he'     => 'ებრაული',
    'hi'     => 'ჰინდი',
    'hil'    => 'Hiligaynon',
    'him'    => 'Himachali',
    'hit'    => 'Hittite',
    'hmn'    => 'Hmong',
    'ho'     => "Hiri\ Motu",
    'hr'     => 'ხორვატიული',
    'hsb'    => "Upper\ Sorbian",
    'ht'     => 'Haitian',
    'hu'     => 'უნგრული',
    'hup'    => 'Hupa',
    'hy'     => 'სომხური',
    'hz'     => 'Herero',
    'ia'     => 'ინტერლინგუალური',
    'iba'    => 'Iban',
    'id'     => 'ინდონეზიური',
    'ie'     => 'ინტერლინგი',
    'ig'     => 'Igbo',
    'ii'     => "Sichuan\ Yi",
    'ijo'    => 'Ijo',
    'ik'     => 'Inupiaq',
    'ilo'    => 'Iloko',
    'inc'    => "Indic\ Language",
    'ine'    => "ინდო\-ევროპული\ სხვა",
    'inh'    => 'Ingush',
    'io'     => 'Ido',
    'ira'    => "Iranian\ Language",
    'iro'    => "Iroquoian\ Language",
    'is'     => 'ისლანდიური',
    'it'     => 'იტალიური',
    'iu'     => 'Inuktitut',
    'ja'     => 'იაპონური',
    'jbo'    => 'Lojban',
    'jmc'    => 'Machame',
    'jpr'    => "Judeo\-Persian",
    'jrb'    => "Judeo\-Arabic",
    'jv'     => 'იავანური',
    'ka'     => 'ქართული',
    'kaa'    => "Kara\-Kalpak",
    'kab'    => 'Kabyle',
    'kac'    => 'Kachin',
    'kaj'    => 'Jju',
    'kam'    => 'Kamba',
    'kar'    => 'Karen',
    'kaw'    => 'Kawi',
    'kbd'    => 'Kabardian',
    'kcg'    => 'Tyap',
    'kde'    => 'Makonde',
    'kea'    => 'Kabuverdianu',
    'kfo'    => 'Koro',
    'kg'     => 'კონგო',
    'kha'    => 'Khasi',
    'khi'    => "Khoisan\ Language",
    'kho'    => 'Khotanese',
    'khq'    => "Koyra\ Chiini",
    'ki'     => 'Kikuyu',
    'kj'     => 'Kuanyama',
    'kk'     => 'ყაზახური',
    'kl'     => 'Kalaallisut',
    'kln'    => 'Kalenjin',
    'km'     => 'კამბოჯიური',
    'kmb'    => 'Kimbundu',
    'kn'     => 'Kannada',
    'ko'     => 'კორეული',
    'kok'    => 'Konkani',
    'kos'    => 'Kosraean',
    'kpe'    => 'Kpelle',
    'kr'     => 'Kanuri',
    'krc'    => "Karachay\-Balkar",
    'krl'    => 'Karelian',
    'kro'    => 'Kru',
    'kru'    => 'Kurukh',
    'ks'     => 'Kashmiri',
    'ksb'    => 'Shambala',
    'ksf'    => 'Bafia',
    'ksh'    => 'Colognian',
    'ku'     => 'ქურთული',
    'kum'    => 'Kumyk',
    'kut'    => 'Kutenai',
    'kv'     => 'Komi',
    'kw'     => 'Cornish',
    'ky'     => 'ყირგიზული',
    'la'     => 'ლათინური',
    'lad'    => 'Ladino',
    'lag'    => 'Langi',
    'lah'    => 'Lahnda',
    'lam'    => 'Lamba',
    'lb'     => 'ლუქსემბურგული',
    'lez'    => 'Lezghian',
    'lg'     => 'Ganda',
    'li'     => 'Limburgish',
    'ln'     => 'ლინგალა',
    'lo'     => 'ლაოსური',
    'lol'    => 'Mongo',
    'loz'    => 'Lozi',
    'lt'     => 'ლიტვური',
    'lu'     => "Luba\-Katanga",
    'lua'    => "Luba\-Lulua",
    'lui'    => 'Luiseno',
    'lun'    => 'Lunda',
    'luo'    => 'Luo',
    'lus'    => 'Lushai',
    'luy'    => 'Luyia',
    'lv'     => 'ლატვიური',
    'mad'    => 'Madurese',
    'mag'    => 'Magahi',
    'mai'    => 'Maithili',
    'mak'    => 'Makasar',
    'man'    => 'Mandingo',
    'map'    => "Austronesian\ Language",
    'mas'    => 'Masai',
    'mdf'    => 'Moksha',
    'mdr'    => 'Mandar',
    'men'    => 'Mende',
    'mer'    => 'Meru',
    'mfe'    => 'Morisyen',
    'mg'     => 'Malagasy',
    'mga'    => "Middle\ Irish",
    'mgh'    => "Makhuwa\-Meetto",
    'mh'     => 'Marshallese',
    'mi'     => 'Maori',
    'mic'    => 'Micmac',
    'min'    => 'Minangkabau',
    'mis'    => "Miscellaneous\ Language",
    'mk'     => 'მაკედონიური',
    'mkh'    => "Mon\-Khmer\ Language",
    'ml'     => 'Malayalam',
    'mn'     => 'მონღოლური',
    'mnc'    => 'Manchu',
    'mni'    => 'Manipuri',
    'mno'    => "Manobo\ Language",
    'mo'     => 'მოლდოვური',
    'moh'    => 'Mohawk',
    'mos'    => 'Mossi',
    'mr'     => 'Marathi',
    'ms'     => 'მალაიზიური',
    'mt'     => 'Maltese',
    'mua'    => 'Mundang',
    'mul'    => "Multiple\ Languages",
    'mun'    => "Munda\ Language",
    'mus'    => 'Creek',
    'mwl'    => 'Mirandese',
    'mwr'    => 'Marwari',
    'my'     => 'Burmese',
    'myn'    => "მაიას\ ენები",
    'myv'    => 'Erzya',
    'na'     => 'Nauru',
    'nah'    => 'Nahuatl',
    'nai'    => "North\ American\ Indian\ Language",
    'nap'    => 'ნეაპოლიტანური',
    'naq'    => 'Nama',
    'nb'     => "Norwegian\ Bokm\Ã\¥l",
    'nd'     => "North\ Ndebele",
    'nds'    => "Low\ German",
    'ne'     => 'ნეპალური',
    'new'    => 'Newari',
    'ng'     => 'Ndonga',
    'nia'    => 'Nias',
    'nic'    => "Niger\-Kordofanian\ Language",
    'niu'    => 'Niuean',
    'nl'     => 'ჰოლანდიური',
    'nl_be'  => 'ფლომანდიური',
    'nmg'    => 'Kwasio',
    'nn'     => "ნორვეგიული\ ნინორსკი",
    'no'     => 'ნორვეგიული',
    'nog'    => 'Nogai',
    'non'    => "Old\ Norse",
    'nqo'    => "N\â\\Ko",
    'nr'     => "South\ Ndebele",
    'nso'    => "Northern\ Sotho",
    'nub'    => "Nubian\ Language",
    'nus'    => 'Nuer',
    'nv'     => 'ნავახო',
    'nwc'    => "Classical\ Newari",
    'ny'     => 'Nyanja',
    'nym'    => 'Nyamwezi',
    'nyn'    => 'Nyankole',
    'nyo'    => 'Nyoro',
    'nzi'    => 'Nzima',
    'oc'     => 'ოციტანური',
    'oj'     => 'Ojibwa',
    'om'     => 'Oromo',
    'or'     => 'ორიული',
    'os'     => 'ოსური',
    'osa'    => 'Osage',
    'ota'    => "Ottoman\ Turkish",
    'oto'    => "Otomian\ Language",
    'pa'     => 'Punjabi',
    'paa'    => "Papuan\ Language",
    'pag'    => 'Pangasinan',
    'pal'    => 'Pahlavi',
    'pam'    => 'Pampanga',
    'pap'    => 'Papiamento',
    'pau'    => 'Palauan',
    'peo'    => "ძველი\ სპარსული",
    'phi'    => "Philippine\ Language",
    'phn'    => 'Phoenician',
    'pi'     => 'Pali',
    'pl'     => 'პოლონური',
    'pon'    => 'Pohnpeian',
    'pra'    => "პრაკრიტის\ ენები",
    'pro'    => "Old\ Proven\Ã\§al",
    'ps'     => 'პუშტუ',
    'pt'     => 'პორტუგალიური',
    'pt_br'  => "ბრაზილიური\ პორტუგალიური",
    'pt_pt'  => "იბერიულ\-პორტუგალიური",
    'qu'     => 'Quechua',
    'raj'    => 'Rajasthani',
    'rap'    => 'Rapanui',
    'rar'    => 'Rarotongan',
    'rm'     => 'Romansh',
    'rn'     => 'Rundi',
    'ro'     => 'რუმინული',
    'roa'    => "Romance\ Language",
    'rof'    => 'Rombo',
    'rom'    => 'Romany',
    'ru'     => 'რუსული',
    'rup'    => 'Aromanian',
    'rw'     => 'Kinyarwanda',
    'rwk'    => 'Rwa',
    'sa'     => 'სანსკრიტი',
    'sad'    => 'Sandawe',
    'sah'    => 'Sakha',
    'sai'    => "South\ American\ Indian\ Language",
    'sal'    => "Salishan\ Language",
    'sam'    => "Samaritan\ Aramaic",
    'saq'    => 'Samburu',
    'sas'    => 'Sasak',
    'sat'    => 'Santali',
    'sbp'    => 'Sangu',
    'sc'     => 'სარდინიული',
    'scn'    => 'სიცილიური',
    'sco'    => 'Scots',
    'sd'     => 'სინდური',
    'se'     => "Northern\ Sami",
    'see'    => 'Seneca',
    'seh'    => 'Sena',
    'sel'    => 'Selkup',
    'sem'    => "Semitic\ Language",
    'ses'    => "Koyraboro\ Senni",
    'sg'     => 'Sango',
    'sga'    => "ძველი\ ირლანდიური",
    'sgn'    => "Sign\ Language",
    'sh'     => "სერბულ\-ხორვატული",
    'shi'    => 'Tachelhit',
    'shn'    => 'Shan',
    'si'     => 'სინჰალური',
    'sid'    => 'Sidamo',
    'sio'    => "Siouan\ Language",
    'sit'    => "Sino\-Tibetan\ Language",
    'sk'     => 'სლოვაკური',
    'sl'     => 'სლოვენური',
    'sla'    => "სლავური\ სხვა",
    'sm'     => 'Samoan',
    'sma'    => "Southern\ Sami",
    'smi'    => "Sami\ Language",
    'smj'    => "Lule\ Sami",
    'smn'    => "Inari\ Sami",
    'sms'    => "Skolt\ Sami",
    'sn'     => 'Shona',
    'snk'    => 'Soninke',
    'so'     => 'სომალიური',
    'sog'    => 'Sogdien',
    'son'    => 'Songhai',
    'sq'     => 'ალბანური',
    'sr'     => 'სერბული',
    'srn'    => "Sranan\ Tongo",
    'srr'    => 'Serer',
    'ss'     => 'Swati',
    'ssa'    => "Nilo\-Saharan\ Language",
    'ssy'    => 'Saho',
    'st'     => "სამხრეთ\ სოთოს\ ენა",
    'su'     => 'Sundanese',
    'suk'    => 'Sukuma',
    'sus'    => 'Susu',
    'sux'    => 'შუმერული',
    'sv'     => 'შვედური',
    'sw'     => 'სუაჰილი',
    'swb'    => 'Comorian',
    'swc'    => "Congo\ Swahili",
    'syc'    => "Classical\ Syriac",
    'syr'    => 'Syriac',
    'ta'     => 'Tamil',
    'tai'    => "Tai\ Language",
    'te'     => 'Telugu',
    'tem'    => 'Timne',
    'teo'    => 'Teso',
    'ter'    => 'Tereno',
    'tet'    => 'Tetum',
    'tg'     => 'ტაჯიკური',
    'th'     => 'ტაილანდური',
    'ti'     => 'Tigrinya',
    'tig'    => 'Tigre',
    'tiv'    => 'Tiv',
    'tk'     => 'თურქმენული',
    'tkl'    => 'Tokelau',
    'tl'     => 'Tagalog',
    'tlh'    => 'კლინგონი',
    'tli'    => 'Tlingit',
    'tmh'    => 'Tamashek',
    'tn'     => 'ტსვანა',
    'to'     => 'Tonga',
    'tog'    => "Nyasa\ Tonga",
    'tpi'    => "Tok\ Pisin",
    'tr'     => 'თურქული',
    'trv'    => 'Taroko',
    'ts'     => 'Tsonga',
    'tsi'    => 'Tsimshian',
    'tt'     => 'Tatar',
    'tum'    => 'Tumbuka',
    'tup'    => "Tupi\ Language",
    'tut'    => "Altaic\ Language",
    'tvl'    => 'Tuvalu',
    'tw'     => 'თუი',
    'twq'    => 'Tasawaq',
    'ty'     => 'Tahitian',
    'tyv'    => 'Tuvinian',
    'tzm'    => "Central\ Morocco\ Tamazight",
    'udm'    => 'უდმურტიული',
    'ug'     => 'უიგურული',
    'uga'    => 'Ugaritic',
    'uk'     => 'უკრაინული',
    'umb'    => 'Umbundu',
    'und'    => "უცნობი\ ან\ არასწორი\ ენა",
    'ur'     => 'ურდუ',
    'uz'     => 'უზბეკური',
    'vai'    => 'Vai',
    've'     => 'Venda',
    'vi'     => 'ვიეტნამური',
    'vo'     => "Volap\Ã\¼k",
    'vot'    => 'Votic',
    'vun'    => 'Vunjo',
    'wa'     => 'Walloon',
    'wae'    => 'Walser',
    'wak'    => "Wakashan\ Language",
    'wal'    => 'Walamo',
    'war'    => 'Waray',
    'was'    => 'Washo',
    'wen'    => "Sorbian\ Language",
    'wo'     => 'Wolof',
    'xal'    => 'Kalmyk',
    'xh'     => 'ქსოზა',
    'xog'    => 'Soga',
    'yao'    => 'Yao',
    'yap'    => 'Yapese',
    'yav'    => 'Yangben',
    'yi'     => 'იდიში',
    'yo'     => 'Yoruba',
    'ypk'    => "Yupik\ Language",
    'yue'    => 'Cantonese',
    'za'     => 'Zhuang',
    'zap'    => 'Zapotec',
    'zbl'    => 'Blissymbols',
    'zen'    => 'Zenaga',
    'zh'     => 'ჩინური',
    'znd'    => 'Zande',
    'zu'     => 'ზულუ',
    'zun'    => 'Zuni',
    'zxx'    => "No\ linguistic\ content",
    'zza'    => 'Zaza',
);

%Locales::DB::Language::ka::name_to_code = (
    'achinese'                                                                       => 'ace',
    'acoli'                                                                          => 'ach',
    'adangme'                                                                        => 'ada',
    'afar'                                                                           => 'aa',
    'afrihili'                                                                       => 'afh',
    'afroasiaticlanguage'                                                            => 'afa',
    'aghem'                                                                          => 'agq',
    'akan'                                                                           => 'ak',
    'akkadian'                                                                       => 'akk',
    'algonquianlanguage'                                                             => 'alg',
    'altaiclanguage'                                                                 => 'tut',
    'amharic'                                                                        => 'am',
    'angika'                                                                         => 'anp',
    'apachelanguage'                                                                 => 'apa',
    'aragonese'                                                                      => 'an',
    'arapaho'                                                                        => 'arp',
    'araucanian'                                                                     => 'arn',
    'arawak'                                                                         => 'arw',
    'aromanian'                                                                      => 'rup',
    'asu'                                                                            => 'asa',
    'athapascanlanguage'                                                             => 'ath',
    'atsam'                                                                          => 'cch',
    'australianlanguage'                                                             => 'aus',
    'austronesianlanguage'                                                           => 'map',
    'avaric'                                                                         => 'av',
    'awadhi'                                                                         => 'awa',
    'aymara'                                                                         => 'ay',
    'bafia'                                                                          => 'ksf',
    'balinese'                                                                       => 'ban',
    'balticlanguage'                                                                 => 'bat',
    'baluchi'                                                                        => 'bal',
    'bambara'                                                                        => 'bm',
    'bamilekelanguage'                                                               => 'bai',
    'banda'                                                                          => 'bad',
    'bantu'                                                                          => 'bnt',
    'basaa'                                                                          => 'bas',
    'bashkir'                                                                        => 'ba',
    'batak'                                                                          => 'btk',
    'beja'                                                                           => 'bej',
    'bemba'                                                                          => 'bem',
    'bena'                                                                           => 'bez',
    'bengali'                                                                        => 'bn',
    'berber'                                                                         => 'ber',
    'bhojpuri'                                                                       => 'bho',
    'bikol'                                                                          => 'bik',
    'bini'                                                                           => 'bin',
    'bislama'                                                                        => 'bi',
    'blin'                                                                           => 'byn',
    'blissymbols'                                                                    => 'zbl',
    'bodo'                                                                           => 'brx',
    'braj'                                                                           => 'bra',
    'buginese'                                                                       => 'bug',
    'burmese'                                                                        => 'my',
    'caddo'                                                                          => 'cad',
    'cantonese'                                                                      => 'yue',
    'carib'                                                                          => 'car',
    'cayuga'                                                                         => 'cay',
    'cebuano'                                                                        => 'ceb',
    'centralamericanindianlanguage'                                                  => 'cai',
    'centralmoroccotamazight'                                                        => 'tzm',
    'chagatai'                                                                       => 'chg',
    'chamiclanguage'                                                                 => 'cmc',
    'chamorro'                                                                       => 'ch',
    'cherokee'                                                                       => 'chr',
    'cheyenne'                                                                       => 'chy',
    'chibcha'                                                                        => 'chb',
    'chiga'                                                                          => 'cgg',
    'chinookjargon'                                                                  => 'chn',
    'chipewyan'                                                                      => 'chp',
    'choctaw'                                                                        => 'cho',
    'chuukese'                                                                       => 'chk',
    'chuvash'                                                                        => 'cv',
    'classicalnewari'                                                                => 'nwc',
    'classicalsyriac'                                                                => 'syc',
    'colognian'                                                                      => 'ksh',
    'comorian'                                                                       => 'swb',
    'congoswahili'                                                                   => 'swc',
    'coptic'                                                                         => 'cop',
    'cornish'                                                                        => 'kw',
    'corsican'                                                                       => 'co',
    'cree'                                                                           => 'cr',
    'creek'                                                                          => 'mus',
    'creoleorpidgin'                                                                 => 'crp',
    'crimeanturkish'                                                                 => 'crh',
    'cushiticlanguage'                                                               => 'cus',
    'dakota'                                                                         => 'dak',
    'dargwa'                                                                         => 'dar',
    'dayak'                                                                          => 'day',
    'delaware'                                                                       => 'del',
    'dinka'                                                                          => 'din',
    'divehi'                                                                         => 'dv',
    'dogri'                                                                          => 'doi',
    'dogrib'                                                                         => 'dgr',
    'dravidianlanguage'                                                              => 'dra',
    'duala'                                                                          => 'dua',
    'dyula'                                                                          => 'dyu',
    'dzongkha'                                                                       => 'dz',
    'easternfrisian'                                                                 => 'frs',
    'efik'                                                                           => 'efi',
    'ekajuk'                                                                         => 'eka',
    'elamite'                                                                        => 'elx',
    'embu'                                                                           => 'ebu',
    'englishbasedcreoleorpidgin'                                                     => 'cpe',
    'erzya'                                                                          => 'myv',
    'ewe'                                                                            => 'ee',
    'ewondo'                                                                         => 'ewo',
    'fang'                                                                           => 'fan',
    'fanti'                                                                          => 'fat',
    'faroese'                                                                        => 'fo',
    'fijian'                                                                         => 'fj',
    'finnougrianlanguage'                                                            => 'fiu',
    'fon'                                                                            => 'fon',
    'frenchbasedcreoleorpidgin'                                                      => 'cpf',
    'friulian'                                                                       => 'fur',
    'fulah'                                                                          => 'ff',
    'ga'                                                                             => 'gaa',
    'ganda'                                                                          => 'lg',
    'gayo'                                                                           => 'gay',
    'gbaya'                                                                          => 'gba',
    'geez'                                                                           => 'gez',
    'germaniclanguage'                                                               => 'gem',
    'gilbertese'                                                                     => 'gil',
    'gondi'                                                                          => 'gon',
    'gorontalo'                                                                      => 'gor',
    'gothic'                                                                         => 'got',
    'grebo'                                                                          => 'grb',
    'gusii'                                                                          => 'guz',
    "gwich\Ê\¼in"                                                                  => 'gwi',
    'haida'                                                                          => 'hai',
    'haitian'                                                                        => 'ht',
    'hausa'                                                                          => 'ha',
    'hawaiian'                                                                       => 'haw',
    'herero'                                                                         => 'hz',
    'hiligaynon'                                                                     => 'hil',
    'himachali'                                                                      => 'him',
    'hirimotu'                                                                       => 'ho',
    'hittite'                                                                        => 'hit',
    'hmong'                                                                          => 'hmn',
    'hupa'                                                                           => 'hup',
    'iban'                                                                           => 'iba',
    'ido'                                                                            => 'io',
    'igbo'                                                                           => 'ig',
    'ijo'                                                                            => 'ijo',
    'iloko'                                                                          => 'ilo',
    'inarisami'                                                                      => 'smn',
    'indiclanguage'                                                                  => 'inc',
    'ingush'                                                                         => 'inh',
    'inuktitut'                                                                      => 'iu',
    'inupiaq'                                                                        => 'ik',
    'iranianlanguage'                                                                => 'ira',
    'iroquoianlanguage'                                                              => 'iro',
    'jju'                                                                            => 'kaj',
    'jolafonyi'                                                                      => 'dyo',
    'judeoarabic'                                                                    => 'jrb',
    'judeopersian'                                                                   => 'jpr',
    'kabardian'                                                                      => 'kbd',
    'kabuverdianu'                                                                   => 'kea',
    'kabyle'                                                                         => 'kab',
    'kachin'                                                                         => 'kac',
    'kalaallisut'                                                                    => 'kl',
    'kalenjin'                                                                       => 'kln',
    'kalmyk'                                                                         => 'xal',
    'kamba'                                                                          => 'kam',
    'kannada'                                                                        => 'kn',
    'kanuri'                                                                         => 'kr',
    'karachaybalkar'                                                                 => 'krc',
    'karakalpak'                                                                     => 'kaa',
    'karelian'                                                                       => 'krl',
    'karen'                                                                          => 'kar',
    'kashmiri'                                                                       => 'ks',
    'kashubian'                                                                      => 'csb',
    'kawi'                                                                           => 'kaw',
    'khasi'                                                                          => 'kha',
    'khoisanlanguage'                                                                => 'khi',
    'khotanese'                                                                      => 'kho',
    'kikuyu'                                                                         => 'ki',
    'kimbundu'                                                                       => 'kmb',
    'kinyarwanda'                                                                    => 'rw',
    'komi'                                                                           => 'kv',
    'konkani'                                                                        => 'kok',
    'koro'                                                                           => 'kfo',
    'kosraean'                                                                       => 'kos',
    'koyraborosenni'                                                                 => 'ses',
    'koyrachiini'                                                                    => 'khq',
    'kpelle'                                                                         => 'kpe',
    'kru'                                                                            => 'kro',
    'kuanyama'                                                                       => 'kj',
    'kumyk'                                                                          => 'kum',
    'kurukh'                                                                         => 'kru',
    'kutenai'                                                                        => 'kut',
    'kwasio'                                                                         => 'nmg',
    'ladino'                                                                         => 'lad',
    'lahnda'                                                                         => 'lah',
    'lamba'                                                                          => 'lam',
    'langi'                                                                          => 'lag',
    'lezghian'                                                                       => 'lez',
    'limburgish'                                                                     => 'li',
    'lojban'                                                                         => 'jbo',
    'lowersorbian'                                                                   => 'dsb',
    'lowgerman'                                                                      => 'nds',
    'lozi'                                                                           => 'loz',
    'lubakatanga'                                                                    => 'lu',
    'lubalulua'                                                                      => 'lua',
    'luiseno'                                                                        => 'lui',
    'lulesami'                                                                       => 'smj',
    'lunda'                                                                          => 'lun',
    'luo'                                                                            => 'luo',
    'lushai'                                                                         => 'lus',
    'luyia'                                                                          => 'luy',
    'machame'                                                                        => 'jmc',
    'madurese'                                                                       => 'mad',
    'magahi'                                                                         => 'mag',
    'maithili'                                                                       => 'mai',
    'makasar'                                                                        => 'mak',
    'makhuwameetto'                                                                  => 'mgh',
    'makonde'                                                                        => 'kde',
    'malagasy'                                                                       => 'mg',
    'malayalam'                                                                      => 'ml',
    'maltese'                                                                        => 'mt',
    'manchu'                                                                         => 'mnc',
    'mandar'                                                                         => 'mdr',
    'mandingo'                                                                       => 'man',
    'manipuri'                                                                       => 'mni',
    'manobolanguage'                                                                 => 'mno',
    'manx'                                                                           => 'gv',
    'maori'                                                                          => 'mi',
    'marathi'                                                                        => 'mr',
    'mari'                                                                           => 'chm',
    'marshallese'                                                                    => 'mh',
    'marwari'                                                                        => 'mwr',
    'masai'                                                                          => 'mas',
    'mende'                                                                          => 'men',
    'meru'                                                                           => 'mer',
    'micmac'                                                                         => 'mic',
    'middledutch'                                                                    => 'dum',
    'middleenglish'                                                                  => 'enm',
    'middlefrench'                                                                   => 'frm',
    'middlehighgerman'                                                               => 'gmh',
    'middleirish'                                                                    => 'mga',
    'minangkabau'                                                                    => 'min',
    'mirandese'                                                                      => 'mwl',
    'miscellaneouslanguage'                                                          => 'mis',
    'mohawk'                                                                         => 'moh',
    'moksha'                                                                         => 'mdf',
    'mongo'                                                                          => 'lol',
    'monkhmerlanguage'                                                               => 'mkh',
    'morisyen'                                                                       => 'mfe',
    'mossi'                                                                          => 'mos',
    'multiplelanguages'                                                              => 'mul',
    'mundalanguage'                                                                  => 'mun',
    'mundang'                                                                        => 'mua',
    'nahuatl'                                                                        => 'nah',
    'nama'                                                                           => 'naq',
    'nauru'                                                                          => 'na',
    'ndonga'                                                                         => 'ng',
    'newari'                                                                         => 'new',
    'nias'                                                                           => 'nia',
    'nigerkordofanianlanguage'                                                       => 'nic',
    'nilosaharanlanguage'                                                            => 'ssa',
    'niuean'                                                                         => 'niu',
    'nogai'                                                                          => 'nog',
    'nolinguisticcontent'                                                            => 'zxx',
    'northamericanindianlanguage'                                                    => 'nai',
    'northernfrisian'                                                                => 'frr',
    'northernsami'                                                                   => 'se',
    'northernsotho'                                                                  => 'nso',
    'northndebele'                                                                   => 'nd',
    "norwegianbokm\Ã\¥l"                                                           => 'nb',
    'nubianlanguage'                                                                 => 'nub',
    'nuer'                                                                           => 'nus',
    'nyamwezi'                                                                       => 'nym',
    'nyanja'                                                                         => 'ny',
    'nyankole'                                                                       => 'nyn',
    'nyasatonga'                                                                     => 'tog',
    'nyoro'                                                                          => 'nyo',
    'nzima'                                                                          => 'nzi',
    "n\â\\ko"                                                                   => 'nqo',
    'ojibwa'                                                                         => 'oj',
    'oldnorse'                                                                       => 'non',
    "oldproven\Ã\§al"                                                              => 'pro',
    'oromo'                                                                          => 'om',
    'osage'                                                                          => 'osa',
    'otomianlanguage'                                                                => 'oto',
    'ottomanturkish'                                                                 => 'ota',
    'pahlavi'                                                                        => 'pal',
    'palauan'                                                                        => 'pau',
    'pali'                                                                           => 'pi',
    'pampanga'                                                                       => 'pam',
    'pangasinan'                                                                     => 'pag',
    'papiamento'                                                                     => 'pap',
    'papuanlanguage'                                                                 => 'paa',
    'philippinelanguage'                                                             => 'phi',
    'phoenician'                                                                     => 'phn',
    'pohnpeian'                                                                      => 'pon',
    'portuguesebasedcreoleorpidgin'                                                  => 'cpp',
    'punjabi'                                                                        => 'pa',
    'quechua'                                                                        => 'qu',
    'rajasthani'                                                                     => 'raj',
    'rapanui'                                                                        => 'rap',
    'rarotongan'                                                                     => 'rar',
    'romancelanguage'                                                                => 'roa',
    'romansh'                                                                        => 'rm',
    'romany'                                                                         => 'rom',
    'rombo'                                                                          => 'rof',
    'rundi'                                                                          => 'rn',
    'rwa'                                                                            => 'rwk',
    'saho'                                                                           => 'ssy',
    'sakha'                                                                          => 'sah',
    'salishanlanguage'                                                               => 'sal',
    'samaritanaramaic'                                                               => 'sam',
    'samburu'                                                                        => 'saq',
    'samilanguage'                                                                   => 'smi',
    'samoan'                                                                         => 'sm',
    'sandawe'                                                                        => 'sad',
    'sango'                                                                          => 'sg',
    'sangu'                                                                          => 'sbp',
    'santali'                                                                        => 'sat',
    'sasak'                                                                          => 'sas',
    'scots'                                                                          => 'sco',
    'selkup'                                                                         => 'sel',
    'semiticlanguage'                                                                => 'sem',
    'sena'                                                                           => 'seh',
    'seneca'                                                                         => 'see',
    'serer'                                                                          => 'srr',
    'shambala'                                                                       => 'ksb',
    'shan'                                                                           => 'shn',
    'shona'                                                                          => 'sn',
    'sichuanyi'                                                                      => 'ii',
    'sidamo'                                                                         => 'sid',
    'signlanguage'                                                                   => 'sgn',
    'siksika'                                                                        => 'bla',
    'sinotibetanlanguage'                                                            => 'sit',
    'siouanlanguage'                                                                 => 'sio',
    'skoltsami'                                                                      => 'sms',
    'slave'                                                                          => 'den',
    'soga'                                                                           => 'xog',
    'sogdien'                                                                        => 'sog',
    'songhai'                                                                        => 'son',
    'soninke'                                                                        => 'snk',
    'sorbianlanguage'                                                                => 'wen',
    'southamericanindianlanguage'                                                    => 'sai',
    'southernaltai'                                                                  => 'alt',
    'southernsami'                                                                   => 'sma',
    'southndebele'                                                                   => 'nr',
    'sranantongo'                                                                    => 'srn',
    'sukuma'                                                                         => 'suk',
    'sundanese'                                                                      => 'su',
    'susu'                                                                           => 'sus',
    'swati'                                                                          => 'ss',
    'syriac'                                                                         => 'syr',
    'tachelhit'                                                                      => 'shi',
    'tagalog'                                                                        => 'tl',
    'tahitian'                                                                       => 'ty',
    'tailanguage'                                                                    => 'tai',
    'taita'                                                                          => 'dav',
    'tamashek'                                                                       => 'tmh',
    'tamil'                                                                          => 'ta',
    'taroko'                                                                         => 'trv',
    'tasawaq'                                                                        => 'twq',
    'tatar'                                                                          => 'tt',
    'telugu'                                                                         => 'te',
    'tereno'                                                                         => 'ter',
    'teso'                                                                           => 'teo',
    'tetum'                                                                          => 'tet',
    'tigre'                                                                          => 'tig',
    'tigrinya'                                                                       => 'ti',
    'timne'                                                                          => 'tem',
    'tiv'                                                                            => 'tiv',
    'tlingit'                                                                        => 'tli',
    'tokelau'                                                                        => 'tkl',
    'tokpisin'                                                                       => 'tpi',
    'tonga'                                                                          => 'to',
    'tsimshian'                                                                      => 'tsi',
    'tsonga'                                                                         => 'ts',
    'tumbuka'                                                                        => 'tum',
    'tupilanguage'                                                                   => 'tup',
    'tuvalu'                                                                         => 'tvl',
    'tuvinian'                                                                       => 'tyv',
    'tyap'                                                                           => 'kcg',
    'ugaritic'                                                                       => 'uga',
    'umbundu'                                                                        => 'umb',
    'uppersorbian'                                                                   => 'hsb',
    'vai'                                                                            => 'vai',
    'venda'                                                                          => 've',
    "volap\Ã\¼k"                                                                   => 'vo',
    'votic'                                                                          => 'vot',
    'vunjo'                                                                          => 'vun',
    'wakashanlanguage'                                                               => 'wak',
    'walamo'                                                                         => 'wal',
    'walloon'                                                                        => 'wa',
    'walser'                                                                         => 'wae',
    'waray'                                                                          => 'war',
    'washo'                                                                          => 'was',
    'westernfrisian'                                                                 => 'fy',
    'wolof'                                                                          => 'wo',
    'yangben'                                                                        => 'yav',
    'yao'                                                                            => 'yao',
    'yapese'                                                                         => 'yap',
    'yoruba'                                                                         => 'yo',
    'yupiklanguage'                                                                  => 'ypk',
    'zande'                                                                          => 'znd',
    'zapotec'                                                                        => 'zap',
    'zarma'                                                                          => 'dje',
    'zaza'                                                                           => 'zza',
    'zenaga'                                                                         => 'zen',
    'zhuang'                                                                         => 'za',
    'zuni'                                                                           => 'zun',
    'ადიღეური'                                                       => 'ady',
    'ავესტა'                                                             => 'ae',
    'ავსტრალიურიინგლისური'                   => 'en_au',
    'ავსტრიული'                                                    => 'ast',
    'ავსტრიულიგერმანული'                         => 'de_at',
    'აზერბაიჯანული'                                        => 'az',
    'აინუ'                                                                   => 'ain',
    'ალბანური'                                                       => 'sq',
    'ალეუტური'                                                       => 'ale',
    'ამერიკულიინგლისური'                         => 'en_us',
    'არაბული'                                                          => 'ar',
    'არამეული'                                                       => 'arc',
    'ასამური'                                                          => 'as',
    'აფრიკული'                                                       => 'af',
    'აფხაზური'                                                       => 'ab',
    'ბასკური'                                                          => 'eu',
    'ბელორუსული'                                                 => 'be',
    'ბერძნული'                                                       => 'el',
    'ბიჰარი'                                                             => 'bh',
    'ბოსნიური'                                                       => 'bs',
    'ბრაზილიურიპორტუგალიური'             => 'pt_br',
    'ბრეტონული'                                                    => 'br',
    'ბრიტანულიინგლისური'                         => 'en_gb',
    'ბულგარული'                                                    => 'bg',
    'ბურიატული'                                                    => 'bua',
    'გალური'                                                             => 'gl',
    'გერმანული'                                                    => 'de',
    'გუარანი'                                                          => 'gn',
    'გუჯარათი'                                                       => 'gu',
    'დანიური'                                                          => 'da',
    'ებრაული'                                                          => 'he',
    'ეგვიპტური'                                                    => 'egy',
    'ესპანური'                                                       => 'es',
    'ესპერანტო'                                                    => 'eo',
    'ესტონური'                                                       => 'et',
    'ვიეტნამური'                                                 => 'vi',
    'ზულუ'                                                                   => 'zu',
    'თუი'                                                                      => 'tw',
    'თურქმენული'                                                 => 'tk',
    'თურქული'                                                          => 'tr',
    'იავანური'                                                       => 'jv',
    'იაპონური'                                                       => 'ja',
    'იბერიულიესპანური'                               => 'es_es',
    'იბერიულპორტუგალიური'                      => 'pt_pt',
    'იდიში'                                                                => 'yi',
    'ინგლისური'                                                    => 'en',
    'ინდოევროპულისხვა'                               => 'ine',
    'ინდონეზიური'                                              => 'id',
    'ინტერლინგი'                                                 => 'ie',
    'ინტერლინგუალური'                                  => 'ia',
    'ირლანდიური'                                                 => 'ga',
    'ისლანდიური'                                                 => 'is',
    'იტალიური'                                                       => 'it',
    'კავკასიურისხვა'                                     => 'cau',
    'კამბოჯიური'                                                 => 'km',
    'კანადურიინგლისური'                            => 'en_ca',
    'კანადურიფრანგული'                               => 'fr_ca',
    'კატალანური'                                                 => 'ca',
    'კელტურისხვა'                                              => 'cel',
    'კლინგონი'                                                       => 'tlh',
    'კონგო'                                                                => 'kg',
    'კორეული'                                                          => 'ko',
    'ლათინურამერიკულიესპანური'       => 'es_419',
    'ლათინური'                                                       => 'la',
    'ლაოსური'                                                          => 'lo',
    'ლატვიური'                                                       => 'lv',
    'ლინგალა'                                                          => 'ln',
    'ლიტვური'                                                          => 'lt',
    'ლუქსემბურგული'                                        => 'lb',
    'მაიასენები'                                                 => 'myn',
    'მაკედონიური'                                              => 'mk',
    'მალაიზიური'                                                 => 'ms',
    'მოლდოვური'                                                    => 'mo',
    'მონღოლური'                                                    => 'mn',
    'ნავახო'                                                             => 'nv',
    'ნეაპოლიტანური'                                        => 'nap',
    'ნეპალური'                                                       => 'ne',
    'ნორვეგიული'                                                 => 'no',
    'ნორვეგიულინინორსკი'                         => 'nn',
    'ორიული'                                                             => 'or',
    'ოსური'                                                                => 'os',
    'ოციტანური'                                                    => 'oc',
    'პოლონური'                                                       => 'pl',
    'პორტუგალიური'                                           => 'pt',
    'პრაკრიტისენები'                                     => 'pra',
    'პუშტუ'                                                                => 'ps',
    'რუმინული'                                                       => 'ro',
    'რუსული'                                                             => 'ru',
    'საეკლესიოსლავური'                               => 'cu',
    'სამხრეთსოთოსენა'                                  => 'st',
    'სანსკრიტი'                                                    => 'sa',
    'სარდინიული'                                                 => 'sc',
    'სერბული'                                                          => 'sr',
    'სერბულხორვატული'                                  => 'sh',
    'სინდური'                                                          => 'sd',
    'სინჰალური'                                                    => 'si',
    'სიცილიური'                                                    => 'scn',
    'სლავურისხვა'                                              => 'sla',
    'სლოვაკური'                                                    => 'sk',
    'სლოვენური'                                                    => 'sl',
    'სომალიური'                                                    => 'so',
    'სომხური'                                                          => 'hy',
    'სპარსული'                                                       => 'fa',
    'სუაჰილი'                                                          => 'sw',
    'ტაილანდური'                                                 => 'th',
    'ტაჯიკური'                                                       => 'tg',
    'ტიბეტური'                                                       => 'bo',
    'ტსვანა'                                                             => 'tn',
    'უდმურტიული'                                                 => 'udm',
    'უელსური'                                                          => 'cy',
    'უზბეკური'                                                       => 'uz',
    'უიგურული'                                                       => 'ug',
    'უკრაინული'                                                    => 'uk',
    'უნგრული'                                                          => 'hu',
    'ურდუ'                                                                   => 'ur',
    'უცნობიანარასწორიენა'                      => 'und',
    'ფილიპინური'                                                 => 'fil',
    'ფინური'                                                             => 'fi',
    'ფლომანდიური'                                              => 'nl_be',
    'ფრანგული'                                                       => 'fr',
    'ქართული'                                                          => 'ka',
    'ქსოზა'                                                                => 'xh',
    'ქურთული'                                                          => 'ku',
    'ყაზახური'                                                       => 'kk',
    'ყირგიზული'                                                    => 'ky',
    'შვედური'                                                          => 'sv',
    'შვეიცარიულიგერმანული'                   => 'gsw',
    'შვეიცარიულიმაღალიგერმანული' => 'de_ch',
    'შვეიცარიულიფრანგული'                      => 'fr_ch',
    'შოტლანდიურგალური'                               => 'gd',
    'შუმერული'                                                       => 'sux',
    'ჩეჩნური'                                                          => 'ce',
    'ჩეხური'                                                             => 'cs',
    'ჩინური'                                                             => 'zh',
    'ძველიბერძნული'                                        => 'grc',
    'ძველიგერმანული'                                     => 'goh',
    'ძველიინგლისური'                                     => 'ang',
    'ძველიირლანდიური'                                  => 'sga',
    'ძველისპარსული'                                        => 'peo',
    'ძველიფრანგული'                                        => 'fro',
    'ხელოვნურისხვა'                                        => 'art',
    'ხორვატიული'                                                 => 'hr',
    'ჰინდი'                                                                => 'hi',
    'ჰოლანდიური'                                                 => 'nl',
);

1;
