package Locales::DB::Language::kok;

use strict;
use warnings;

# Auto generated from CLDR

$Locales::DB::Language::kok::VERSION = '0.09';

$Locales::DB::Language::kok::cldr_version = '2.0';

%Locales::DB::Language::kok::misc_info = (
    'characters'   => { 'more_information' => "\?" },
    'cldr_formats' => {
        '_decimal_format_decimal' => "\.",
        '_decimal_format_group'   => "\,",
        '_percent_format_percent' => "\%",
        'decimal'                 => "\#\,\#\#\,\#\#0\.\#\#\#",
        'ellipsis'                => {
            'final'   => "\{0\}…",
            'initial' => "…\{0\}",
            'medial'  => "\{0\}…\{1\}"
        },
        'language' => "Language\:\ \{0\}",
        'list'     => {
            2        => "\{0\}\ and\ \{1\}",
            'end'    => "\{0\}\,\ and\ \{1\}",
            'middle' => "\{0\}\,\ \{1\}",
            'start'  => "\{0\}\,\ \{1\}"
        },
        'locale'    => "\{0\}\ \(\{1\}\)",
        'percent'   => "\#\,\#\#\,\#\#0\%",
        'territory' => "Region\:\ \{0\}"
    },
    'delimiters' => {
        'alternate_quotation_end'   => "\â\\",
        'alternate_quotation_start' => "\â\\",
        'quotation_end'             => "\â\\",
        'quotation_start'           => "\â\\"
    },
    'fallback'    => [],
    'orientation' => {
        'characters' => "left\-to\-right",
        'lines'      => "top\-to\-bottom"
    },
    'plural_forms' => {
        'category_list'  => ['other'],
        'category_rules' => {}
    },
    'posix' => {
        'nostr'  => "no\:n",
        'yesstr' => "yes\:y"
    },
);

%Locales::DB::Language::kok::code_to_name = (
    'aa'     => 'अफार',
    'ab'     => 'अबखेज़ियन',
    'ace'    => 'Achinese',
    'ach'    => 'Acoli',
    'ada'    => 'Adangme',
    'ady'    => 'Adyghe',
    'ae'     => 'Avestan',
    'af'     => 'अफ्रिकान्स',
    'afa'    => "Afro\-Asiatic\ Language",
    'afh'    => 'Afrihili',
    'agq'    => 'Aghem',
    'ain'    => 'Ainu',
    'ak'     => 'Akan',
    'akk'    => 'Akkadian',
    'ale'    => 'Aleut',
    'alg'    => "Algonquian\ Language",
    'alt'    => "Southern\ Altai",
    'am'     => 'अमहारिक्',
    'an'     => 'Aragonese',
    'ang'    => "Old\ English",
    'anp'    => 'Angika',
    'apa'    => "Apache\ Language",
    'ar'     => 'अरेबिक्',
    'arc'    => 'Aramaic',
    'arn'    => 'Araucanian',
    'arp'    => 'Arapaho',
    'art'    => "Artificial\ Language",
    'arw'    => 'Arawak',
    'as'     => 'असामी',
    'asa'    => 'Asu',
    'ast'    => 'Asturian',
    'ath'    => "Athapascan\ Language",
    'aus'    => "Australian\ Language",
    'av'     => 'Avaric',
    'awa'    => 'Awadhi',
    'ay'     => 'ऐमरा',
    'az'     => 'अज़रबैजानी',
    'ba'     => 'बष्किर',
    'bad'    => 'Banda',
    'bai'    => "Bamileke\ Language",
    'bal'    => 'Baluchi',
    'ban'    => 'Balinese',
    'bas'    => 'Basaa',
    'bat'    => "Baltic\ Language",
    'be'     => 'बैलोरुसियन्',
    'bej'    => 'Beja',
    'bem'    => 'Bemba',
    'ber'    => 'Berber',
    'bez'    => 'Bena',
    'bg'     => 'बल्गेरियन',
    'bh'     => 'बीहारी',
    'bho'    => 'Bhojpuri',
    'bi'     => 'बिसलमा',
    'bik'    => 'Bikol',
    'bin'    => 'Bini',
    'bla'    => 'Siksika',
    'bm'     => 'Bambara',
    'bn'     => 'बंगाली',
    'bnt'    => 'Bantu',
    'bo'     => 'तिबेतियन',
    'br'     => 'ब्रेटन',
    'bra'    => 'Braj',
    'brx'    => 'Bodo',
    'bs'     => 'Bosnian',
    'btk'    => 'Batak',
    'bua'    => 'Buriat',
    'bug'    => 'Buginese',
    'byn'    => 'Blin',
    'ca'     => 'कटलान',
    'cad'    => 'Caddo',
    'cai'    => "Central\ American\ Indian\ Language",
    'car'    => 'Carib',
    'cau'    => "Caucasian\ Language",
    'cay'    => 'Cayuga',
    'cch'    => 'Atsam',
    'ce'     => 'Chechen',
    'ceb'    => 'Cebuano',
    'cel'    => "Celtic\ Language",
    'cgg'    => 'Chiga',
    'ch'     => 'Chamorro',
    'chb'    => 'Chibcha',
    'chg'    => 'Chagatai',
    'chk'    => 'Chuukese',
    'chm'    => 'Mari',
    'chn'    => "Chinook\ Jargon",
    'cho'    => 'Choctaw',
    'chp'    => 'Chipewyan',
    'chr'    => 'Cherokee',
    'chy'    => 'Cheyenne',
    'cmc'    => "Chamic\ Language",
    'co'     => 'कोर्शियन',
    'cop'    => 'Coptic',
    'cpe'    => "English\-based\ Creole\ or\ Pidgin",
    'cpf'    => "French\-based\ Creole\ or\ Pidgin",
    'cpp'    => "Portuguese\-based\ Creole\ or\ Pidgin",
    'cr'     => 'Cree',
    'crh'    => "Crimean\ Turkish",
    'crp'    => "Creole\ or\ Pidgin",
    'cs'     => 'ज़ेक्',
    'csb'    => 'Kashubian',
    'cu'     => "Church\ Slavic",
    'cus'    => "Cushitic\ Language",
    'cv'     => 'Chuvash',
    'cy'     => 'वेळ्ष्',
    'da'     => 'डानिष',
    'dak'    => 'Dakota',
    'dar'    => 'Dargwa',
    'dav'    => 'Taita',
    'day'    => 'Dayak',
    'de'     => 'जर्मन',
    'de_at'  => "Austrian\ German",
    'de_ch'  => "Swiss\ High\ German",
    'del'    => 'Delaware',
    'den'    => 'Slave',
    'dgr'    => 'Dogrib',
    'din'    => 'Dinka',
    'dje'    => 'Zarma',
    'doi'    => 'Dogri',
    'dra'    => "Dravidian\ Language",
    'dsb'    => "Lower\ Sorbian",
    'dua'    => 'Duala',
    'dum'    => "Middle\ Dutch",
    'dv'     => 'Divehi',
    'dyo'    => "Jola\-Fonyi",
    'dyu'    => 'Dyula',
    'dz'     => 'भूटानी',
    'ebu'    => 'Embu',
    'ee'     => 'Ewe',
    'efi'    => 'Efik',
    'egy'    => "Ancient\ Egyptian",
    'eka'    => 'Ekajuk',
    'el'     => 'ग्रीक्',
    'elx'    => 'Elamite',
    'en'     => 'आंग्ल',
    'en_au'  => "Australian\ English",
    'en_ca'  => "Canadian\ English",
    'en_gb'  => "British\ English",
    'en_us'  => "U\.S\.\ English",
    'enm'    => "Middle\ English",
    'eo'     => 'इस्परान्टो',
    'es'     => 'स्पानिष',
    'es_419' => "Latin\ American\ Spanish",
    'es_es'  => "Iberian\ Spanish",
    'et'     => 'इस्टोनियन्',
    'eu'     => 'बास्क',
    'ewo'    => 'Ewondo',
    'fa'     => 'पर्षियन्',
    'fan'    => 'Fang',
    'fat'    => 'Fanti',
    'ff'     => 'Fulah',
    'fi'     => 'फिन्निष्',
    'fil'    => 'Filipino',
    'fiu'    => "Finno\-Ugrian\ Language",
    'fj'     => 'फिजी',
    'fo'     => 'फेरोस्',
    'fon'    => 'Fon',
    'fr'     => 'फ्रेन्च',
    'fr_ca'  => "Canadian\ French",
    'fr_ch'  => "Swiss\ French",
    'frm'    => "Middle\ French",
    'fro'    => "Old\ French",
    'frr'    => "Northern\ Frisian",
    'frs'    => "Eastern\ Frisian",
    'fur'    => 'Friulian',
    'fy'     => 'फ्रिशियन्',
    'ga'     => 'ऐरिष',
    'gaa'    => 'Ga',
    'gay'    => 'Gayo',
    'gba'    => 'Gbaya',
    'gd'     => "स्काटस्\ गेलिक्",
    'gem'    => "Germanic\ Language",
    'gez'    => 'Geez',
    'gil'    => 'Gilbertese',
    'gl'     => 'गेलीशियन',
    'gmh'    => "Middle\ High\ German",
    'gn'     => 'गौरानी',
    'goh'    => "Old\ High\ German",
    'gon'    => 'Gondi',
    'gor'    => 'Gorontalo',
    'got'    => 'Gothic',
    'grb'    => 'Grebo',
    'grc'    => "Ancient\ Greek",
    'gsw'    => "Swiss\ German",
    'gu'     => 'गुजराती',
    'guz'    => 'Gusii',
    'gv'     => 'Manx',
    'gwi'    => "Gwich\Ê\¼in",
    'ha'     => 'हौसा',
    'hai'    => 'Haida',
    'haw'    => 'Hawaiian',
    'he'     => 'हेब्रु',
    'hi'     => 'हिन्दी',
    'hil'    => 'Hiligaynon',
    'him'    => 'Himachali',
    'hit'    => 'Hittite',
    'hmn'    => 'Hmong',
    'ho'     => "Hiri\ Motu",
    'hr'     => 'क्रोयेषियन्',
    'hsb'    => "Upper\ Sorbian",
    'ht'     => 'Haitian',
    'hu'     => 'हंगेरियन्',
    'hup'    => 'Hupa',
    'hy'     => 'आर्मीनियन्',
    'hz'     => 'Herero',
    'ia'     => 'इन्टरलिंग्वा',
    'iba'    => 'Iban',
    'id'     => 'इन्डोनेषियन',
    'ie'     => 'इन्टरलिंग्',
    'ig'     => 'Igbo',
    'ii'     => "Sichuan\ Yi",
    'ijo'    => 'Ijo',
    'ik'     => 'इनूपेयाक्',
    'ilo'    => 'Iloko',
    'inc'    => "Indic\ Language",
    'ine'    => "Indo\-European\ Language",
    'inh'    => 'Ingush',
    'io'     => 'Ido',
    'ira'    => "Iranian\ Language",
    'iro'    => "Iroquoian\ Language",
    'is'     => 'आईस्लान्डिक',
    'it'     => 'इटालियन',
    'iu'     => 'इन्युकट्ट',
    'ja'     => 'जापनीस्',
    'jbo'    => 'Lojban',
    'jmc'    => 'Machame',
    'jpr'    => "Judeo\-Persian",
    'jrb'    => "Judeo\-Arabic",
    'jv'     => 'जावनीस्',
    'ka'     => 'जार्जियन्',
    'kaa'    => "Kara\-Kalpak",
    'kab'    => 'Kabyle',
    'kac'    => 'Kachin',
    'kaj'    => 'Jju',
    'kam'    => 'Kamba',
    'kar'    => 'Karen',
    'kaw'    => 'Kawi',
    'kbd'    => 'Kabardian',
    'kcg'    => 'Tyap',
    'kde'    => 'Makonde',
    'kea'    => 'Kabuverdianu',
    'kfo'    => 'Koro',
    'kg'     => 'Kongo',
    'kha'    => 'Khasi',
    'khi'    => "Khoisan\ Language",
    'kho'    => 'Khotanese',
    'khq'    => "Koyra\ Chiini",
    'ki'     => 'Kikuyu',
    'kj'     => 'Kuanyama',
    'kk'     => 'कज़ख्',
    'kl'     => 'ग्रीनलान्डिक',
    'kln'    => 'Kalenjin',
    'km'     => 'कंबोडियन',
    'kmb'    => 'Kimbundu',
    'kn'     => 'कन्नडा',
    'ko'     => 'कोरियन्',
    'kok'    => 'कोंकणी',
    'kos'    => 'Kosraean',
    'kpe'    => 'Kpelle',
    'kr'     => 'Kanuri',
    'krc'    => "Karachay\-Balkar",
    'krl'    => 'Karelian',
    'kro'    => 'Kru',
    'kru'    => 'Kurukh',
    'ks'     => 'कश्मीरी',
    'ksb'    => 'Shambala',
    'ksf'    => 'Bafia',
    'ksh'    => 'Colognian',
    'ku'     => 'कुर्दिष',
    'kum'    => 'Kumyk',
    'kut'    => 'Kutenai',
    'kv'     => 'Komi',
    'kw'     => 'Cornish',
    'ky'     => 'किर्गिज़',
    'la'     => 'लाटिन',
    'lad'    => 'Ladino',
    'lag'    => 'Langi',
    'lah'    => 'Lahnda',
    'lam'    => 'Lamba',
    'lb'     => 'Luxembourgish',
    'lez'    => 'Lezghian',
    'lg'     => 'Ganda',
    'li'     => 'Limburgish',
    'ln'     => 'लिंगाला',
    'lo'     => 'लाओतियन्',
    'lol'    => 'Mongo',
    'loz'    => 'Lozi',
    'lt'     => 'लिथुआनियन्',
    'lu'     => "Luba\-Katanga",
    'lua'    => "Luba\-Lulua",
    'lui'    => 'Luiseno',
    'lun'    => 'Lunda',
    'luo'    => 'Luo',
    'lus'    => 'Lushai',
    'luy'    => 'Luyia',
    'lv'     => "लाट्वियन्\ \(लेट्टिष्\)",
    'mad'    => 'Madurese',
    'mag'    => 'Magahi',
    'mai'    => 'Maithili',
    'mak'    => 'Makasar',
    'man'    => 'Mandingo',
    'map'    => "Austronesian\ Language",
    'mas'    => 'Masai',
    'mdf'    => 'Moksha',
    'mdr'    => 'Mandar',
    'men'    => 'Mende',
    'mer'    => 'Meru',
    'mfe'    => 'Morisyen',
    'mg'     => 'मलागसी',
    'mga'    => "Middle\ Irish",
    'mgh'    => "Makhuwa\-Meetto",
    'mh'     => 'Marshallese',
    'mi'     => 'माओरी',
    'mic'    => 'Micmac',
    'min'    => 'Minangkabau',
    'mis'    => "Miscellaneous\ Language",
    'mk'     => 'मसीडोनियन्',
    'mkh'    => "Mon\-Khmer\ Language",
    'ml'     => 'मळियाळम',
    'mn'     => 'मंगोलियन्',
    'mnc'    => 'Manchu',
    'mni'    => 'Manipuri',
    'mno'    => "Manobo\ Language",
    'mo'     => 'मोल्डावियन्',
    'moh'    => 'Mohawk',
    'mos'    => 'Mossi',
    'mr'     => 'मराठी',
    'ms'     => 'मलय',
    'mt'     => 'मालतीस्',
    'mua'    => 'Mundang',
    'mul'    => "Multiple\ Languages",
    'mun'    => "Munda\ Language",
    'mus'    => 'Creek',
    'mwl'    => 'Mirandese',
    'mwr'    => 'Marwari',
    'my'     => 'बर्मीज़्',
    'myn'    => "Mayan\ Language",
    'myv'    => 'Erzya',
    'na'     => 'नौरो',
    'nah'    => 'Nahuatl',
    'nai'    => "North\ American\ Indian\ Language",
    'nap'    => 'Neapolitan',
    'naq'    => 'Nama',
    'nb'     => "Norwegian\ Bokm\Ã\¥l",
    'nd'     => "North\ Ndebele",
    'nds'    => "Low\ German",
    'ne'     => 'नेपाळी',
    'new'    => 'Newari',
    'ng'     => 'Ndonga',
    'nia'    => 'Nias',
    'nic'    => "Niger\-Kordofanian\ Language",
    'niu'    => 'Niuean',
    'nl'     => 'डच्',
    'nl_be'  => 'Flemish',
    'nmg'    => 'Kwasio',
    'nn'     => "Norwegian\ Nynorsk",
    'no'     => 'नोर्वेजियन',
    'nog'    => 'Nogai',
    'non'    => "Old\ Norse",
    'nqo'    => "N\â\\Ko",
    'nr'     => "South\ Ndebele",
    'nso'    => "Northern\ Sotho",
    'nub'    => "Nubian\ Language",
    'nus'    => 'Nuer',
    'nv'     => 'Navajo',
    'nwc'    => "Classical\ Newari",
    'ny'     => 'Nyanja',
    'nym'    => 'Nyamwezi',
    'nyn'    => 'Nyankole',
    'nyo'    => 'Nyoro',
    'nzi'    => 'Nzima',
    'oc'     => 'ओसिटान्',
    'oj'     => 'Ojibwa',
    'om'     => "ओरोमो\ \(अफान\)",
    'or'     => 'ओरिया',
    'os'     => 'Ossetic',
    'osa'    => 'Osage',
    'ota'    => "Ottoman\ Turkish",
    'oto'    => "Otomian\ Language",
    'pa'     => 'पंजाबी',
    'paa'    => "Papuan\ Language",
    'pag'    => 'Pangasinan',
    'pal'    => 'Pahlavi',
    'pam'    => 'Pampanga',
    'pap'    => 'Papiamento',
    'pau'    => 'Palauan',
    'peo'    => "Old\ Persian",
    'phi'    => "Philippine\ Language",
    'phn'    => 'Phoenician',
    'pi'     => 'Pali',
    'pl'     => 'पोलिष',
    'pon'    => 'Pohnpeian',
    'pra'    => "Prakrit\ Language",
    'pro'    => "Old\ Proven\Ã\§al",
    'ps'     => "पाष्टो\ \(पुष्टो\)",
    'pt'     => 'पोर्चुगीज़्',
    'pt_br'  => "Brazilian\ Portuguese",
    'pt_pt'  => "Iberian\ Portuguese",
    'qu'     => 'क्वेच्वा',
    'raj'    => 'Rajasthani',
    'rap'    => 'Rapanui',
    'rar'    => 'Rarotongan',
    'rm'     => "रहटो\-रोमान्स्",
    'rn'     => 'किरुन्दी',
    'ro'     => 'रोमानियन्',
    'roa'    => "Romance\ Language",
    'rof'    => 'Rombo',
    'rom'    => 'Romany',
    'ru'     => 'रष्यन्',
    'rup'    => 'Aromanian',
    'rw'     => 'किन्यार्वान्डा',
    'rwk'    => 'Rwa',
    'sa'     => 'संस्कृत',
    'sad'    => 'Sandawe',
    'sah'    => 'Sakha',
    'sai'    => "South\ American\ Indian\ Language",
    'sal'    => "Salishan\ Language",
    'sam'    => "Samaritan\ Aramaic",
    'saq'    => 'Samburu',
    'sas'    => 'Sasak',
    'sat'    => 'Santali',
    'sbp'    => 'Sangu',
    'sc'     => 'Sardinian',
    'scn'    => 'Sicilian',
    'sco'    => 'Scots',
    'sd'     => 'सिंधी',
    'se'     => "Northern\ Sami",
    'see'    => 'Seneca',
    'seh'    => 'Sena',
    'sel'    => 'Selkup',
    'sem'    => "Semitic\ Language",
    'ses'    => "Koyraboro\ Senni",
    'sg'     => 'सांग्रो',
    'sga'    => "Old\ Irish",
    'sgn'    => "Sign\ Language",
    'sh'     => "सेर्बो\-क्रोयेषियन्",
    'shi'    => 'Tachelhit',
    'shn'    => 'Shan',
    'si'     => 'सिन्हलीस्',
    'sid'    => 'Sidamo',
    'sio'    => "Siouan\ Language",
    'sit'    => "Sino\-Tibetan\ Language",
    'sk'     => 'स्लोवाक',
    'sl'     => 'स्लोवेनियन्',
    'sla'    => "Slavic\ Language",
    'sm'     => 'समोन',
    'sma'    => "Southern\ Sami",
    'smi'    => "Sami\ Language",
    'smj'    => "Lule\ Sami",
    'smn'    => "Inari\ Sami",
    'sms'    => "Skolt\ Sami",
    'sn'     => 'शोना',
    'snk'    => 'Soninke',
    'so'     => 'सोमाळी',
    'sog'    => 'Sogdien',
    'son'    => 'Songhai',
    'sq'     => 'आल्बेनियन्',
    'sr'     => 'सेर्बियन्',
    'srn'    => "Sranan\ Tongo",
    'srr'    => 'Serer',
    'ss'     => 'सिस्वाती',
    'ssa'    => "Nilo\-Saharan\ Language",
    'ssy'    => 'Saho',
    'st'     => 'सेसोथो',
    'su'     => 'सुंदनीस',
    'suk'    => 'Sukuma',
    'sus'    => 'Susu',
    'sux'    => 'Sumerian',
    'sv'     => 'स्वीदीष',
    'sw'     => 'स्वाहिली',
    'swb'    => 'Comorian',
    'swc'    => "Congo\ Swahili",
    'syc'    => "Classical\ Syriac",
    'syr'    => 'Syriac',
    'ta'     => 'तमिळ',
    'tai'    => "Tai\ Language",
    'te'     => 'तेलुगू',
    'tem'    => 'Timne',
    'teo'    => 'Teso',
    'ter'    => 'Tereno',
    'tet'    => 'Tetum',
    'tg'     => 'तजिक',
    'th'     => 'थाई',
    'ti'     => 'तिग्रिन्या',
    'tig'    => 'Tigre',
    'tiv'    => 'Tiv',
    'tk'     => 'तुर्कमन',
    'tkl'    => 'Tokelau',
    'tl'     => 'तगालोग',
    'tlh'    => 'Klingon',
    'tli'    => 'Tlingit',
    'tmh'    => 'Tamashek',
    'tn'     => 'सेत्स्वाना',
    'to'     => 'तोंगा',
    'tog'    => "Nyasa\ Tonga",
    'tpi'    => "Tok\ Pisin",
    'tr'     => 'तुर्किष',
    'trv'    => 'Taroko',
    'ts'     => 'त्सोगा',
    'tsi'    => 'Tsimshian',
    'tt'     => 'तटार',
    'tum'    => 'Tumbuka',
    'tup'    => "Tupi\ Language",
    'tut'    => "Altaic\ Language",
    'tvl'    => 'Tuvalu',
    'tw'     => 'त्वि',
    'twq'    => 'Tasawaq',
    'ty'     => 'Tahitian',
    'tyv'    => 'Tuvinian',
    'tzm'    => "Central\ Morocco\ Tamazight",
    'udm'    => 'Udmurt',
    'ug'     => 'उधूर',
    'uga'    => 'Ugaritic',
    'uk'     => 'युक्रेनियन्',
    'umb'    => 'Umbundu',
    'und'    => "Unknown\ Language",
    'ur'     => 'उर्दू',
    'uz'     => 'उज़बेक',
    'vai'    => 'Vai',
    've'     => 'Venda',
    'vi'     => 'वियत्नामीज़',
    'vo'     => 'ओलापुक',
    'vot'    => 'Votic',
    'vun'    => 'Vunjo',
    'wa'     => 'Walloon',
    'wae'    => 'Walser',
    'wak'    => "Wakashan\ Language",
    'wal'    => 'Walamo',
    'war'    => 'Waray',
    'was'    => 'Washo',
    'wen'    => "Sorbian\ Language",
    'wo'     => 'उलोफ़',
    'xal'    => 'Kalmyk',
    'xh'     => 'झ़ौसा',
    'xog'    => 'Soga',
    'yao'    => 'Yao',
    'yap'    => 'Yapese',
    'yav'    => 'Yangben',
    'yi'     => 'इद्दिष्',
    'yo'     => 'यूरुबा',
    'ypk'    => "Yupik\ Language",
    'yue'    => 'Cantonese',
    'za'     => 'झ्हुन्ग',
    'zap'    => 'Zapotec',
    'zbl'    => 'Blissymbols',
    'zen'    => 'Zenaga',
    'zh'     => 'चीनीस्',
    'znd'    => 'Zande',
    'zu'     => 'जुलू',
    'zun'    => 'Zuni',
    'zxx'    => "No\ linguistic\ content",
    'zza'    => 'Zaza',
);

%Locales::DB::Language::kok::name_to_code = (
    'achinese'                                            => 'ace',
    'acoli'                                               => 'ach',
    'adangme'                                             => 'ada',
    'adyghe'                                              => 'ady',
    'afrihili'                                            => 'afh',
    'afroasiaticlanguage'                                 => 'afa',
    'aghem'                                               => 'agq',
    'ainu'                                                => 'ain',
    'akan'                                                => 'ak',
    'akkadian'                                            => 'akk',
    'aleut'                                               => 'ale',
    'algonquianlanguage'                                  => 'alg',
    'altaiclanguage'                                      => 'tut',
    'ancientegyptian'                                     => 'egy',
    'ancientgreek'                                        => 'grc',
    'angika'                                              => 'anp',
    'apachelanguage'                                      => 'apa',
    'aragonese'                                           => 'an',
    'aramaic'                                             => 'arc',
    'arapaho'                                             => 'arp',
    'araucanian'                                          => 'arn',
    'arawak'                                              => 'arw',
    'aromanian'                                           => 'rup',
    'artificiallanguage'                                  => 'art',
    'asturian'                                            => 'ast',
    'asu'                                                 => 'asa',
    'athapascanlanguage'                                  => 'ath',
    'atsam'                                               => 'cch',
    'australianenglish'                                   => 'en_au',
    'australianlanguage'                                  => 'aus',
    'austriangerman'                                      => 'de_at',
    'austronesianlanguage'                                => 'map',
    'avaric'                                              => 'av',
    'avestan'                                             => 'ae',
    'awadhi'                                              => 'awa',
    'bafia'                                               => 'ksf',
    'balinese'                                            => 'ban',
    'balticlanguage'                                      => 'bat',
    'baluchi'                                             => 'bal',
    'bambara'                                             => 'bm',
    'bamilekelanguage'                                    => 'bai',
    'banda'                                               => 'bad',
    'bantu'                                               => 'bnt',
    'basaa'                                               => 'bas',
    'batak'                                               => 'btk',
    'beja'                                                => 'bej',
    'bemba'                                               => 'bem',
    'bena'                                                => 'bez',
    'berber'                                              => 'ber',
    'bhojpuri'                                            => 'bho',
    'bikol'                                               => 'bik',
    'bini'                                                => 'bin',
    'blin'                                                => 'byn',
    'blissymbols'                                         => 'zbl',
    'bodo'                                                => 'brx',
    'bosnian'                                             => 'bs',
    'braj'                                                => 'bra',
    'brazilianportuguese'                                 => 'pt_br',
    'britishenglish'                                      => 'en_gb',
    'buginese'                                            => 'bug',
    'buriat'                                              => 'bua',
    'caddo'                                               => 'cad',
    'canadianenglish'                                     => 'en_ca',
    'canadianfrench'                                      => 'fr_ca',
    'cantonese'                                           => 'yue',
    'carib'                                               => 'car',
    'caucasianlanguage'                                   => 'cau',
    'cayuga'                                              => 'cay',
    'cebuano'                                             => 'ceb',
    'celticlanguage'                                      => 'cel',
    'centralamericanindianlanguage'                       => 'cai',
    'centralmoroccotamazight'                             => 'tzm',
    'chagatai'                                            => 'chg',
    'chamiclanguage'                                      => 'cmc',
    'chamorro'                                            => 'ch',
    'chechen'                                             => 'ce',
    'cherokee'                                            => 'chr',
    'cheyenne'                                            => 'chy',
    'chibcha'                                             => 'chb',
    'chiga'                                               => 'cgg',
    'chinookjargon'                                       => 'chn',
    'chipewyan'                                           => 'chp',
    'choctaw'                                             => 'cho',
    'churchslavic'                                        => 'cu',
    'chuukese'                                            => 'chk',
    'chuvash'                                             => 'cv',
    'classicalnewari'                                     => 'nwc',
    'classicalsyriac'                                     => 'syc',
    'colognian'                                           => 'ksh',
    'comorian'                                            => 'swb',
    'congoswahili'                                        => 'swc',
    'coptic'                                              => 'cop',
    'cornish'                                             => 'kw',
    'cree'                                                => 'cr',
    'creek'                                               => 'mus',
    'creoleorpidgin'                                      => 'crp',
    'crimeanturkish'                                      => 'crh',
    'cushiticlanguage'                                    => 'cus',
    'dakota'                                              => 'dak',
    'dargwa'                                              => 'dar',
    'dayak'                                               => 'day',
    'delaware'                                            => 'del',
    'dinka'                                               => 'din',
    'divehi'                                              => 'dv',
    'dogri'                                               => 'doi',
    'dogrib'                                              => 'dgr',
    'dravidianlanguage'                                   => 'dra',
    'duala'                                               => 'dua',
    'dyula'                                               => 'dyu',
    'easternfrisian'                                      => 'frs',
    'efik'                                                => 'efi',
    'ekajuk'                                              => 'eka',
    'elamite'                                             => 'elx',
    'embu'                                                => 'ebu',
    'englishbasedcreoleorpidgin'                          => 'cpe',
    'erzya'                                               => 'myv',
    'ewe'                                                 => 'ee',
    'ewondo'                                              => 'ewo',
    'fang'                                                => 'fan',
    'fanti'                                               => 'fat',
    'filipino'                                            => 'fil',
    'finnougrianlanguage'                                 => 'fiu',
    'flemish'                                             => 'nl_be',
    'fon'                                                 => 'fon',
    'frenchbasedcreoleorpidgin'                           => 'cpf',
    'friulian'                                            => 'fur',
    'fulah'                                               => 'ff',
    'ga'                                                  => 'gaa',
    'ganda'                                               => 'lg',
    'gayo'                                                => 'gay',
    'gbaya'                                               => 'gba',
    'geez'                                                => 'gez',
    'germaniclanguage'                                    => 'gem',
    'gilbertese'                                          => 'gil',
    'gondi'                                               => 'gon',
    'gorontalo'                                           => 'gor',
    'gothic'                                              => 'got',
    'grebo'                                               => 'grb',
    'gusii'                                               => 'guz',
    "gwich\Ê\¼in"                                       => 'gwi',
    'haida'                                               => 'hai',
    'haitian'                                             => 'ht',
    'hawaiian'                                            => 'haw',
    'herero'                                              => 'hz',
    'hiligaynon'                                          => 'hil',
    'himachali'                                           => 'him',
    'hirimotu'                                            => 'ho',
    'hittite'                                             => 'hit',
    'hmong'                                               => 'hmn',
    'hupa'                                                => 'hup',
    'iban'                                                => 'iba',
    'iberianportuguese'                                   => 'pt_pt',
    'iberianspanish'                                      => 'es_es',
    'ido'                                                 => 'io',
    'igbo'                                                => 'ig',
    'ijo'                                                 => 'ijo',
    'iloko'                                               => 'ilo',
    'inarisami'                                           => 'smn',
    'indiclanguage'                                       => 'inc',
    'indoeuropeanlanguage'                                => 'ine',
    'ingush'                                              => 'inh',
    'iranianlanguage'                                     => 'ira',
    'iroquoianlanguage'                                   => 'iro',
    'jju'                                                 => 'kaj',
    'jolafonyi'                                           => 'dyo',
    'judeoarabic'                                         => 'jrb',
    'judeopersian'                                        => 'jpr',
    'kabardian'                                           => 'kbd',
    'kabuverdianu'                                        => 'kea',
    'kabyle'                                              => 'kab',
    'kachin'                                              => 'kac',
    'kalenjin'                                            => 'kln',
    'kalmyk'                                              => 'xal',
    'kamba'                                               => 'kam',
    'kanuri'                                              => 'kr',
    'karachaybalkar'                                      => 'krc',
    'karakalpak'                                          => 'kaa',
    'karelian'                                            => 'krl',
    'karen'                                               => 'kar',
    'kashubian'                                           => 'csb',
    'kawi'                                                => 'kaw',
    'khasi'                                               => 'kha',
    'khoisanlanguage'                                     => 'khi',
    'khotanese'                                           => 'kho',
    'kikuyu'                                              => 'ki',
    'kimbundu'                                            => 'kmb',
    'klingon'                                             => 'tlh',
    'komi'                                                => 'kv',
    'kongo'                                               => 'kg',
    'koro'                                                => 'kfo',
    'kosraean'                                            => 'kos',
    'koyraborosenni'                                      => 'ses',
    'koyrachiini'                                         => 'khq',
    'kpelle'                                              => 'kpe',
    'kru'                                                 => 'kro',
    'kuanyama'                                            => 'kj',
    'kumyk'                                               => 'kum',
    'kurukh'                                              => 'kru',
    'kutenai'                                             => 'kut',
    'kwasio'                                              => 'nmg',
    'ladino'                                              => 'lad',
    'lahnda'                                              => 'lah',
    'lamba'                                               => 'lam',
    'langi'                                               => 'lag',
    'latinamericanspanish'                                => 'es_419',
    'lezghian'                                            => 'lez',
    'limburgish'                                          => 'li',
    'lojban'                                              => 'jbo',
    'lowersorbian'                                        => 'dsb',
    'lowgerman'                                           => 'nds',
    'lozi'                                                => 'loz',
    'lubakatanga'                                         => 'lu',
    'lubalulua'                                           => 'lua',
    'luiseno'                                             => 'lui',
    'lulesami'                                            => 'smj',
    'lunda'                                               => 'lun',
    'luo'                                                 => 'luo',
    'lushai'                                              => 'lus',
    'luxembourgish'                                       => 'lb',
    'luyia'                                               => 'luy',
    'machame'                                             => 'jmc',
    'madurese'                                            => 'mad',
    'magahi'                                              => 'mag',
    'maithili'                                            => 'mai',
    'makasar'                                             => 'mak',
    'makhuwameetto'                                       => 'mgh',
    'makonde'                                             => 'kde',
    'manchu'                                              => 'mnc',
    'mandar'                                              => 'mdr',
    'mandingo'                                            => 'man',
    'manipuri'                                            => 'mni',
    'manobolanguage'                                      => 'mno',
    'manx'                                                => 'gv',
    'mari'                                                => 'chm',
    'marshallese'                                         => 'mh',
    'marwari'                                             => 'mwr',
    'masai'                                               => 'mas',
    'mayanlanguage'                                       => 'myn',
    'mende'                                               => 'men',
    'meru'                                                => 'mer',
    'micmac'                                              => 'mic',
    'middledutch'                                         => 'dum',
    'middleenglish'                                       => 'enm',
    'middlefrench'                                        => 'frm',
    'middlehighgerman'                                    => 'gmh',
    'middleirish'                                         => 'mga',
    'minangkabau'                                         => 'min',
    'mirandese'                                           => 'mwl',
    'miscellaneouslanguage'                               => 'mis',
    'mohawk'                                              => 'moh',
    'moksha'                                              => 'mdf',
    'mongo'                                               => 'lol',
    'monkhmerlanguage'                                    => 'mkh',
    'morisyen'                                            => 'mfe',
    'mossi'                                               => 'mos',
    'multiplelanguages'                                   => 'mul',
    'mundalanguage'                                       => 'mun',
    'mundang'                                             => 'mua',
    'nahuatl'                                             => 'nah',
    'nama'                                                => 'naq',
    'navajo'                                              => 'nv',
    'ndonga'                                              => 'ng',
    'neapolitan'                                          => 'nap',
    'newari'                                              => 'new',
    'nias'                                                => 'nia',
    'nigerkordofanianlanguage'                            => 'nic',
    'nilosaharanlanguage'                                 => 'ssa',
    'niuean'                                              => 'niu',
    'nogai'                                               => 'nog',
    'nolinguisticcontent'                                 => 'zxx',
    'northamericanindianlanguage'                         => 'nai',
    'northernfrisian'                                     => 'frr',
    'northernsami'                                        => 'se',
    'northernsotho'                                       => 'nso',
    'northndebele'                                        => 'nd',
    "norwegianbokm\Ã\¥l"                                => 'nb',
    'norwegiannynorsk'                                    => 'nn',
    'nubianlanguage'                                      => 'nub',
    'nuer'                                                => 'nus',
    'nyamwezi'                                            => 'nym',
    'nyanja'                                              => 'ny',
    'nyankole'                                            => 'nyn',
    'nyasatonga'                                          => 'tog',
    'nyoro'                                               => 'nyo',
    'nzima'                                               => 'nzi',
    "n\â\\ko"                                        => 'nqo',
    'ojibwa'                                              => 'oj',
    'oldenglish'                                          => 'ang',
    'oldfrench'                                           => 'fro',
    'oldhighgerman'                                       => 'goh',
    'oldirish'                                            => 'sga',
    'oldnorse'                                            => 'non',
    'oldpersian'                                          => 'peo',
    "oldproven\Ã\§al"                                   => 'pro',
    'osage'                                               => 'osa',
    'ossetic'                                             => 'os',
    'otomianlanguage'                                     => 'oto',
    'ottomanturkish'                                      => 'ota',
    'pahlavi'                                             => 'pal',
    'palauan'                                             => 'pau',
    'pali'                                                => 'pi',
    'pampanga'                                            => 'pam',
    'pangasinan'                                          => 'pag',
    'papiamento'                                          => 'pap',
    'papuanlanguage'                                      => 'paa',
    'philippinelanguage'                                  => 'phi',
    'phoenician'                                          => 'phn',
    'pohnpeian'                                           => 'pon',
    'portuguesebasedcreoleorpidgin'                       => 'cpp',
    'prakritlanguage'                                     => 'pra',
    'rajasthani'                                          => 'raj',
    'rapanui'                                             => 'rap',
    'rarotongan'                                          => 'rar',
    'romancelanguage'                                     => 'roa',
    'romany'                                              => 'rom',
    'rombo'                                               => 'rof',
    'rwa'                                                 => 'rwk',
    'saho'                                                => 'ssy',
    'sakha'                                               => 'sah',
    'salishanlanguage'                                    => 'sal',
    'samaritanaramaic'                                    => 'sam',
    'samburu'                                             => 'saq',
    'samilanguage'                                        => 'smi',
    'sandawe'                                             => 'sad',
    'sangu'                                               => 'sbp',
    'santali'                                             => 'sat',
    'sardinian'                                           => 'sc',
    'sasak'                                               => 'sas',
    'scots'                                               => 'sco',
    'selkup'                                              => 'sel',
    'semiticlanguage'                                     => 'sem',
    'sena'                                                => 'seh',
    'seneca'                                              => 'see',
    'serer'                                               => 'srr',
    'shambala'                                            => 'ksb',
    'shan'                                                => 'shn',
    'sichuanyi'                                           => 'ii',
    'sicilian'                                            => 'scn',
    'sidamo'                                              => 'sid',
    'signlanguage'                                        => 'sgn',
    'siksika'                                             => 'bla',
    'sinotibetanlanguage'                                 => 'sit',
    'siouanlanguage'                                      => 'sio',
    'skoltsami'                                           => 'sms',
    'slave'                                               => 'den',
    'slaviclanguage'                                      => 'sla',
    'soga'                                                => 'xog',
    'sogdien'                                             => 'sog',
    'songhai'                                             => 'son',
    'soninke'                                             => 'snk',
    'sorbianlanguage'                                     => 'wen',
    'southamericanindianlanguage'                         => 'sai',
    'southernaltai'                                       => 'alt',
    'southernsami'                                        => 'sma',
    'southndebele'                                        => 'nr',
    'sranantongo'                                         => 'srn',
    'sukuma'                                              => 'suk',
    'sumerian'                                            => 'sux',
    'susu'                                                => 'sus',
    'swissfrench'                                         => 'fr_ch',
    'swissgerman'                                         => 'gsw',
    'swisshighgerman'                                     => 'de_ch',
    'syriac'                                              => 'syr',
    'tachelhit'                                           => 'shi',
    'tahitian'                                            => 'ty',
    'tailanguage'                                         => 'tai',
    'taita'                                               => 'dav',
    'tamashek'                                            => 'tmh',
    'taroko'                                              => 'trv',
    'tasawaq'                                             => 'twq',
    'tereno'                                              => 'ter',
    'teso'                                                => 'teo',
    'tetum'                                               => 'tet',
    'tigre'                                               => 'tig',
    'timne'                                               => 'tem',
    'tiv'                                                 => 'tiv',
    'tlingit'                                             => 'tli',
    'tokelau'                                             => 'tkl',
    'tokpisin'                                            => 'tpi',
    'tsimshian'                                           => 'tsi',
    'tumbuka'                                             => 'tum',
    'tupilanguage'                                        => 'tup',
    'tuvalu'                                              => 'tvl',
    'tuvinian'                                            => 'tyv',
    'tyap'                                                => 'kcg',
    "u\.s\.english"                                       => 'en_us',
    'udmurt'                                              => 'udm',
    'ugaritic'                                            => 'uga',
    'umbundu'                                             => 'umb',
    'unknownlanguage'                                     => 'und',
    'uppersorbian'                                        => 'hsb',
    'vai'                                                 => 'vai',
    'venda'                                               => 've',
    'votic'                                               => 'vot',
    'vunjo'                                               => 'vun',
    'wakashanlanguage'                                    => 'wak',
    'walamo'                                              => 'wal',
    'walloon'                                             => 'wa',
    'walser'                                              => 'wae',
    'waray'                                               => 'war',
    'washo'                                               => 'was',
    'yangben'                                             => 'yav',
    'yao'                                                 => 'yao',
    'yapese'                                              => 'yap',
    'yupiklanguage'                                       => 'ypk',
    'zande'                                               => 'znd',
    'zapotec'                                             => 'zap',
    'zarma'                                               => 'dje',
    'zaza'                                                => 'zza',
    'zenaga'                                              => 'zen',
    'zuni'                                                => 'zun',
    'अज़रबैजानी'                      => 'az',
    'अफार'                                        => 'aa',
    'अफ्रिकान्स'                      => 'af',
    'अबखेज़ियन'                         => 'ab',
    'अमहारिक्'                            => 'am',
    'अरेबिक्'                               => 'ar',
    'असामी'                                     => 'as',
    'आंग्ल'                                     => 'en',
    'आईस्लान्डिक'                   => 'is',
    'आर्मीनियन्'                      => 'hy',
    'आल्बेनियन्'                      => 'sq',
    'इटालियन'                               => 'it',
    'इद्दिष्'                               => 'yi',
    'इनूपेयाक्'                         => 'ik',
    'इन्टरलिंग्'                      => 'ie',
    'इन्टरलिंग्वा'                => 'ia',
    'इन्डोनेषियन'                   => 'id',
    'इन्युकट्ट'                         => 'iu',
    'इस्टोनियन्'                      => 'et',
    'इस्परान्टो'                      => 'eo',
    'उज़बेक'                                  => 'uz',
    'उधूर'                                        => 'ug',
    'उर्दू'                                     => 'ur',
    'उलोफ़'                                     => 'wo',
    'ऐमरा'                                        => 'ay',
    'ऐरिष'                                        => 'ga',
    'ओरिया'                                     => 'or',
    'ओरोमोअफान'                         => 'om',
    'ओलापुक'                                  => 'vo',
    'ओसिटान्'                               => 'oc',
    'कंबोडियन'                            => 'km',
    'कज़ख्'                                     => 'kk',
    'कटलान'                                     => 'ca',
    'कन्नडा'                                  => 'kn',
    'कश्मीरी'                               => 'ks',
    'किन्यार्वान्डा'          => 'rw',
    'किरुन्दी'                            => 'rn',
    'किर्गिज़'                            => 'ky',
    'कुर्दिष'                               => 'ku',
    'कोंकणी'                                  => 'kok',
    'कोरियन्'                               => 'ko',
    'कोर्शियन'                            => 'co',
    'क्रोयेषियन्'                   => 'hr',
    'क्वेच्वा'                            => 'qu',
    'गुजराती'                               => 'gu',
    'गेलीशियन'                            => 'gl',
    'गौरानी'                                  => 'gn',
    'ग्रीक्'                                  => 'el',
    'ग्रीनलान्डिक'                => 'kl',
    'चीनीस्'                                  => 'zh',
    'जर्मन'                                     => 'de',
    'ज़ेक्'                                     => 'cs',
    'जापनीस्'                               => 'ja',
    'जार्जियन्'                         => 'ka',
    'जावनीस्'                               => 'jv',
    'जुलू'                                        => 'zu',
    'झ़ौसा'                                     => 'xh',
    'झ्हुन्ग'                               => 'za',
    'डच्'                                           => 'nl',
    'डानिष'                                     => 'da',
    'तगालोग'                                  => 'tl',
    'तजिक'                                        => 'tg',
    'तटार'                                        => 'tt',
    'तमिळ'                                        => 'ta',
    'तिग्रिन्या'                      => 'ti',
    'तिबेतियन'                            => 'bo',
    'तुर्कमन'                               => 'tk',
    'तुर्किष'                               => 'tr',
    'तेलुगू'                                  => 'te',
    'तोंगा'                                     => 'to',
    'त्वि'                                        => 'tw',
    'त्सोगा'                                  => 'ts',
    'थाई'                                           => 'th',
    'नेपाळी'                                  => 'ne',
    'नोर्वेजियन'                      => 'no',
    'नौरो'                                        => 'na',
    'पंजाबी'                                  => 'pa',
    'पर्षियन्'                            => 'fa',
    'पाष्टोपुष्टो'                => 'ps',
    'पोर्चुगीज़्'                   => 'pt',
    'पोलिष'                                     => 'pl',
    'फिजी'                                        => 'fj',
    'फिन्निष्'                            => 'fi',
    'फेरोस्'                                  => 'fo',
    'फ्रिशियन्'                         => 'fy',
    'फ्रेन्च'                               => 'fr',
    'बंगाली'                                  => 'bn',
    'बर्मीज़्'                            => 'my',
    'बल्गेरियन'                         => 'bg',
    'बष्किर'                                  => 'ba',
    'बास्क'                                     => 'eu',
    'बिसलमा'                                  => 'bi',
    'बीहारी'                                  => 'bh',
    'बैलोरुसियन्'                   => 'be',
    'ब्रेटन'                                  => 'br',
    'भूटानी'                                  => 'dz',
    'मंगोलियन्'                         => 'mn',
    'मराठी'                                     => 'mr',
    'मलय'                                           => 'ms',
    'मलागसी'                                  => 'mg',
    'मळियाळम'                               => 'ml',
    'मसीडोनियन्'                      => 'mk',
    'माओरी'                                     => 'mi',
    'मालतीस्'                               => 'mt',
    'मोल्डावियन्'                   => 'mo',
    'युक्रेनियन्'                   => 'uk',
    'यूरुबा'                                  => 'yo',
    'रष्यन्'                                  => 'ru',
    'रहटोरोमान्स्'                => 'rm',
    'रोमानियन्'                         => 'ro',
    'लाओतियन्'                            => 'lo',
    'लाटिन'                                     => 'la',
    'लाट्वियन्लेट्टिष्' => 'lv',
    'लिंगाला'                               => 'ln',
    'लिथुआनियन्'                      => 'lt',
    'वियत्नामीज़'                   => 'vi',
    'वेळ्ष्'                                  => 'cy',
    'शोना'                                        => 'sn',
    'संस्कृत'                               => 'sa',
    'समोन'                                        => 'sm',
    'सांग्रो'                               => 'sg',
    'सिंधी'                                     => 'sd',
    'सिन्हलीस्'                         => 'si',
    'सिस्वाती'                            => 'ss',
    'सुंदनीस'                               => 'su',
    'सेत्स्वाना'                      => 'tn',
    'सेर्बियन्'                         => 'sr',
    'सेर्बोक्रोयेषियन्' => 'sh',
    'सेसोथो'                                  => 'st',
    'सोमाळी'                                  => 'so',
    'स्काटस्गेलिक्'             => 'gd',
    'स्पानिष'                               => 'es',
    'स्लोवाक'                               => 'sk',
    'स्लोवेनियन्'                   => 'sl',
    'स्वाहिली'                            => 'sw',
    'स्वीदीष'                               => 'sv',
    'हंगेरियन्'                         => 'hu',
    'हिन्दी'                                  => 'hi',
    'हेब्रु'                                  => 'he',
    'हौसा'                                        => 'ha',
);

1;
